package com.shawn.common.domain;

import org.springframework.data.redis.serializer.StringRedisSerializer;

import java.io.Serializable;

/**
 * @author Shawn
 */
public class User implements Serializable {

    private static final long serialVersionUID = -6722712323343605745L;
    private String id;
    private String openid;
    private String uid;
    private String avatar;
    private String first_login_datetime;
    private String recommend_uid;
    private String alias;
    private String mobile_phone;
    private String last_login_datetime;

    public User() {
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getOpenid() {
        return openid;
    }

    public void setOpenid(String openid) {
        this.openid = openid;
    }

    public String getFirst_login_datetime() {
        return first_login_datetime;
    }

    public void setFirst_login_datetime(String first_login_datetime) {
        this.first_login_datetime = first_login_datetime;
    }

    public String getRecommend_uid() {
        return recommend_uid;
    }

    public void setRecommend_uid(String recommend_uid) {
        this.recommend_uid = recommend_uid;
    }

    public String getAlias() {
        return alias;
    }

    public void setAlias(String alias) {
        this.alias = alias;
    }

    public String getMobile_phone() {
        return mobile_phone;
    }

    public void setMobile_phone(String mobile_phone) {
        this.mobile_phone = mobile_phone;
    }

    public String getLast_login_datetime() {
        return last_login_datetime;
    }

    public void setLast_login_datetime(String last_login_datetime) {
        this.last_login_datetime = last_login_datetime;
    }

    public String getUid() {
        return uid;
    }

    public void setUid(String uid) {
        this.uid = uid;
    }

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    @Override
    public String toString() {
        return "User{" +
                "id='" + id + '\'' +
                ", openid='" + openid + '\'' +
                ", uid='" + uid + '\'' +
                ", avatar='" + avatar + '\'' +
                ", first_login_datetime='" + first_login_datetime + '\'' +
                ", recommend_uid='" + recommend_uid + '\'' +
                ", alias='" + alias + '\'' +
                ", mobile_phone='" + mobile_phone + '\'' +
                ", last_login_datetime='" + last_login_datetime + '\'' +
                '}';
    }
}
