package com.shawn.feign;

import com.shawn.common.domain.Result;
import com.shawn.common.domain.Teacher;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

/**
 * @author Shawn
 */
@Component
@FeignClient(name = "UserService",path = "/user")
public interface UserFeign {

    @RequestMapping("/getNearTeacherList")
    Result getNearTeacherList(@RequestParam String ip, @RequestParam String lat,@RequestParam String lng);

}
