package com.shawn.user.service;

import com.shawn.common.Exception.IPOrLocationIsInvalidException;
import com.shawn.common.Exception.TokenIsNullException;
import com.shawn.common.domain.Result;
import com.shawn.common.domain.Teacher;

import java.util.List;

/**
 * @author Shawn
 */
public interface userService {
    Result getUserDetailByToken(String token) throws TokenIsNullException;

    Result loginAndModifyUserInfo(String token, String openid, String alias, String avatarUrl);

    Result getNearTeacherList(String ip, String lat, String lng) throws IPOrLocationIsInvalidException, Exception;

//    Result getUserDetailByToken(String token);
}
