package com.Shawn.controller;

import com.Shawn.service.LoginService;
import com.shawn.common.domain.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * @author Shawn
 */
@RestController
@RequestMapping("/login")
public class LoginController {

    @Autowired
    LoginService loginService;

    @PostMapping("/authorize")
    public Result authorize(String code,String referrer) throws Exception {
        return loginService.authorize(code);
    }

    @GetMapping("/check-token")
    public Result checkToken(String token){
        return loginService.checkToken(token);
    }

}
