package com.Shawn.feign;

import com.shawn.common.domain.Result;
import com.shawn.common.domain.User;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;

/**
 * @author Shawn
 */
@FeignClient(name = "UserService",path = "/user")
public interface UserFeign {

    @RequestMapping("/detail")
    Result getUserDetailByOpenId(String openid);

}
