package com.shawn.user.Mapper;

import com.shawn.common.domain.Teacher;
import com.shawn.common.domain.User;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author Shawn
 */
@Mapper
public interface UserMapper {
    User getUserDetailByOpenId(@Param("openid") String openid);

    int insertUserInfo(User user);

    int modifyUserInfo(User user);

    List<Teacher> getVerifiedTeacherList();
}
